nbd_kill_subprocess(3)

NAME
nbd_kill_subprocess - kill server running as a subprocess

SYNOPSIS
 #include <libnbd.h>

 int nbd_kill_subprocess (
       struct nbd_handle *h, int signum
     );

DESCRIPTION
This call may be used to kill the server running as a subprocess that was previously created using nbd_connect_command(3). You do not need to use this call. It is only needed if the server does not exit when the socket is closed.

The "signum" parameter is the optional signal number to send (see signal(7)). If "signum" is 0 then "SIGTERM" is sent.

RETURN VALUE
If the call is successful the function returns 0.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.0.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_KILL_SUBPROCESS 1

SEE ALSO
nbd_connect_command(3), nbd_create(3), libnbd(3), signal(7).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA